package sikd.sikd5.sikd5bean.ws.transaksi;
// Generated Mar 6, 2019 10:58:36 AM by Hibernate Tools 4.3.1

import java.util.List;

import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;

@XmlRootElement
@XmlType(name = "belanjaakunWS", propOrder = {
		"kodeakunutama",
		"namaakunutama",
		"kodeakunkelompok",
		"namaakunkelompok",
		"kodeakunjenis",
		"namaakunjenis",
		"kodeakunobjek",
		"namaakunobjek",
		"kodeakunrinci",
		"namaakunrinci",
		"kodeakunsubrinci",
		"namaakunsubrinci",
		"kodeakunsubsubrinci",
		"namaakunsubsubrinci",
		"nilaibelanja",
		"belanjaspjbuktis"
})

public class Belanjaakun_WS implements java.io.Serializable {
	private String kodeakunutama;
	private String namaakunutama;
	private String kodeakunkelompok;
	private String namaakunkelompok;
	private String kodeakunjenis;
	private String namaakunjenis;
	private String kodeakunobjek;
	private String namaakunobjek;
	private String kodeakunrinci;
	private String namaakunrinci;
	private String kodeakunsubrinci;
	private String namaakunsubrinci;
	private String kodeakunsubsubrinci;
	private String namaakunsubsubrinci;
	private Double nilaibelanja;
	private List<Belanjaspjbukti_WS> belanjaspjbuktis;

	public Belanjaakun_WS() {
	}

	public Belanjaakun_WS(String kodeakunutama, String namaakunutama, String kodeakunkelompok, String namaakunkelompok,
			String kodeakunjenis, String namaakunjenis, String kodeakunobjek, String namaakunobjek,
			String kodeakunrinci, String namaakunrinci) {
		this.kodeakunutama = kodeakunutama;
		this.namaakunutama = namaakunutama;
		this.kodeakunkelompok = kodeakunkelompok;
		this.namaakunkelompok = namaakunkelompok;
		this.kodeakunjenis = kodeakunjenis;
		this.namaakunjenis = namaakunjenis;
		this.kodeakunobjek = kodeakunobjek;
		this.namaakunobjek = namaakunobjek;
		this.kodeakunrinci = kodeakunrinci;
		this.namaakunrinci = namaakunrinci;
	}

	public Belanjaakun_WS(String kodeakunutama, String namaakunutama, String kodeakunkelompok, String namaakunkelompok,
			String kodeakunjenis, String namaakunjenis, String kodeakunobjek, String namaakunobjek,
			String kodeakunrinci, String namaakunrinci, String kodeakunsubrinci, String namaakunsubrinci,
			String kodeakunsubsubrinci, String namaakunsubsubrinci, Double nilaibelanja) {
		this.kodeakunutama = kodeakunutama;
		this.namaakunutama = namaakunutama;
		this.kodeakunkelompok = kodeakunkelompok;
		this.namaakunkelompok = namaakunkelompok;
		this.kodeakunjenis = kodeakunjenis;
		this.namaakunjenis = namaakunjenis;
		this.kodeakunobjek = kodeakunobjek;
		this.namaakunobjek = namaakunobjek;
		this.kodeakunrinci = kodeakunrinci;
		this.namaakunrinci = namaakunrinci;
		this.kodeakunsubrinci = kodeakunsubrinci;
		this.namaakunsubrinci = namaakunsubrinci;
		this.kodeakunsubsubrinci = kodeakunsubsubrinci;
		this.namaakunsubsubrinci = namaakunsubsubrinci;
		this.nilaibelanja = nilaibelanja;
	}

	public String getKodeakunutama() {
		return this.kodeakunutama;
	}

	public void setKodeakunutama(String kodeakunutama) {
		this.kodeakunutama = kodeakunutama;
	}

	public String getNamaakunutama() {
		return this.namaakunutama;
	}

	public void setNamaakunutama(String namaakunutama) {
		this.namaakunutama = namaakunutama;
	}

	public String getKodeakunkelompok() {
		return this.kodeakunkelompok;
	}

	public void setKodeakunkelompok(String kodeakunkelompok) {
		this.kodeakunkelompok = kodeakunkelompok;
	}

	public String getNamaakunkelompok() {
		return this.namaakunkelompok;
	}

	public void setNamaakunkelompok(String namaakunkelompok) {
		this.namaakunkelompok = namaakunkelompok;
	}

	public String getKodeakunjenis() {
		return this.kodeakunjenis;
	}

	public void setKodeakunjenis(String kodeakunjenis) {
		this.kodeakunjenis = kodeakunjenis;
	}

	public String getNamaakunjenis() {
		return this.namaakunjenis;
	}

	public void setNamaakunjenis(String namaakunjenis) {
		this.namaakunjenis = namaakunjenis;
	}

	public String getKodeakunobjek() {
		return this.kodeakunobjek;
	}

	public void setKodeakunobjek(String kodeakunobjek) {
		this.kodeakunobjek = kodeakunobjek;
	}

	public String getNamaakunobjek() {
		return this.namaakunobjek;
	}

	public void setNamaakunobjek(String namaakunobjek) {
		this.namaakunobjek = namaakunobjek;
	}

	public String getKodeakunrinci() {
		return this.kodeakunrinci;
	}

	public void setKodeakunrinci(String kodeakunrinci) {
		this.kodeakunrinci = kodeakunrinci;
	}

	public String getNamaakunrinci() {
		return this.namaakunrinci;
	}

	public void setNamaakunrinci(String namaakunrinci) {
		this.namaakunrinci = namaakunrinci;
	}

	public String getKodeakunsubrinci() {
		return this.kodeakunsubrinci;
	}

	public void setKodeakunsubrinci(String kodeakunsubrinci) {
		this.kodeakunsubrinci = kodeakunsubrinci;
	}

	public String getNamaakunsubrinci() {
		return this.namaakunsubrinci;
	}

	public void setNamaakunsubrinci(String namaakunsubrinci) {
		this.namaakunsubrinci = namaakunsubrinci;
	}

	public String getKodeakunsubsubrinci() {
		return this.kodeakunsubsubrinci;
	}

	public void setKodeakunsubsubrinci(String kodeakunsubsubrinci) {
		this.kodeakunsubsubrinci = kodeakunsubsubrinci;
	}

	public String getNamaakunsubsubrinci() {
		return this.namaakunsubsubrinci;
	}

	public void setNamaakunsubsubrinci(String namaakunsubsubrinci) {
		this.namaakunsubsubrinci = namaakunsubsubrinci;
	}

	public Double getNilaibelanja() {
		return this.nilaibelanja;
	}

	public void setNilaibelanja(Double nilaibelanja) {
		this.nilaibelanja = nilaibelanja;
	}

	public List<Belanjaspjbukti_WS> getBelanjaspjbuktis() {
		return belanjaspjbuktis;
	}

	public void setBelanjaspjbuktis(List<Belanjaspjbukti_WS> belanjaspjbuktis) {
		this.belanjaspjbuktis = belanjaspjbuktis;
	}

}
